import React, { useEffect, useState } from 'react';
import Contact from '../components/shared/Contact';
import { UIContext } from '../context';
import PageLayout from '../layout/PageLayout';
//import useAnalytics from '../hooks/useAnalytics';

function ContactPage() {
  const [data, setData] = useState('');
  const [isLoaded, setIsLoaded] = useState('');

  useEffect(() => {
    document.title = 'Contact Us';
  }, []);

  //useAnalytics();

  return (
    <PageLayout>
      <section id="contact" className="h-fit bg-baby-blue dark:bg-dg-primary-1600 mt-90p">
        <h1 className="hidden">Contact us: Tell Us about Your Idea!</h1>
        <UIContext.Provider value={UIContext}>
          <Contact />
        </UIContext.Provider>
      </section>
    </PageLayout>
  );
}

export default ContactPage;
